From e4d30f2257473f375b48535cce139734502e9f60 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 24 2020 12:57:22 +0000
Subject: [PATCH 897/2232] Set test size of //tests:test Bazel test


Without this:

    INFO: Analyzed 33 targets (1 packages loaded, 12 targets configured).
    INFO: Found 32 targets and 1 test target...
    INFO: Elapsed time: 0.905s, Critical Path: 0.66s
    INFO: 3 processes: 3 linux-sandbox.
    INFO: Build completed successfully, 3 total actions
    //tests:test                                                             PASSED in 0.1s
      WARNING: //tests:test: Test execution time (0.1s excluding execution overhead) outside of range for MODERATE tests. Consider setting timeout="short" or size="small".

---

diff --git a/tests/BUILD b/tests/BUILD
index 29cc79c..d35bbf7 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -2,6 +2,7 @@ load("//tools/bazel:rust.bzl", "rust_library", "rust_test")
 
 rust_test(
     name = "test",
+    size = "small",
     srcs = ["test.rs"],
     deps = [":cxx_test_suite"],
 )

